#!/bin/bash

sudo apt-get update && sudo apt-get install python3-tk && 
python3 -m venv .venv && source .venv/bin/activate && 
pip install maturin && cd text_analysis && $(which maturin) develop && cd .. && 
python3 main.py

# This script follows these code executions instructions:
#     1. Build and activate python virtual environment:
#         python3 -m venv .venv
#         source .venv/bin/activate &&
#     2. Install Tkinter lib for graphic interface:
#         sudo apt-get update
#         sudo apt-get install python3-tk
#     3. Install module that allows to generate dynamic lib:
#         pip install maturin
#     4. Build the project:
#         cd text_analysis
#         $(which maturin) develop
#         cd ..
#     5. Run the program:
#         python3 main.py