import tkinter as tk
from tkinter import filedialog
import text_analysis
import multiprocessing

def choose_files():
    root = tk.Tk()
    root.withdraw()
    
    file_paths = filedialog.askopenfilenames(title="Choose files")

    return file_paths

def worker(file_path):
    try:
        text_analysis.calc_statistics(file_path)
    except Exception as e:
        return f"Error processing file {file_path}: {e}"
    return f"Processed file {file_path} successfully."
    

def main():
    selected_files = choose_files()
    print(selected_files)
    
    if selected_files:
        with multiprocessing.Pool(processes=len(selected_files)) as pool:
            results = pool.map(worker, selected_files)
        
        for result in results:
            print(result)
    else:
        print("No file has been chosen.")
        

if __name__=="__main__":
    main()